### Hierarchy

- TradesClient

## Index

### Constructors

- constructor

### Properties

- client_
- credentials_
- hostname_
- methodDescriptorCompleteTrade
- methodDescriptorConfirmPaymentReceived
- methodDescriptorConfirmPaymentStarted
- methodDescriptorGetChatMessages
- methodDescriptorGetTrade
- methodDescriptorGetTrades
- methodDescriptorSendChatMessage
- methodDescriptorTakeOffer
- methodDescriptorWithdrawFunds
- options_

### Methods

- completeTrade
- confirmPaymentReceived
- confirmPaymentStarted
- getChatMessages
- getTrade
- getTrades
- sendChatMessage
- takeOffer
- withdrawFunds

## Constructors

### constructor

- new TradesClient(hostname: string, credentials?: null | {}, options?: null | {}): TradesClient

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2621

  #### Parameters

  - ##### hostname: string

  - ##### Optional credentials: null | {}

  - ##### Optional options: null | {}

  #### Returns TradesClient

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:2616

### credentials_

credentials_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:2618

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:2617

### methodDescriptorCompleteTrade

methodDescriptorCompleteTrade: MethodDescriptor < CompleteTradeRequest , CompleteTradeReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2849

### methodDescriptorConfirmPaymentReceived

methodDescriptorConfirmPaymentReceived: MethodDescriptor < ConfirmPaymentReceivedRequest , ConfirmPaymentReceivedReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2806

### methodDescriptorConfirmPaymentStarted

methodDescriptorConfirmPaymentStarted: MethodDescriptor < ConfirmPaymentStartedRequest , ConfirmPaymentStartedReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2763

### methodDescriptorGetChatMessages

methodDescriptorGetChatMessages: MethodDescriptor < GetChatMessagesRequest , GetChatMessagesReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2935

### methodDescriptorGetTrade

methodDescriptorGetTrade: MethodDescriptor < GetTradeRequest , GetTradeReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2634

### methodDescriptorGetTrades

methodDescriptorGetTrades: MethodDescriptor < GetTradesRequest , GetTradesReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2677

### methodDescriptorSendChatMessage

methodDescriptorSendChatMessage: MethodDescriptor < SendChatMessageRequest , SendChatMessageReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2978

### methodDescriptorTakeOffer

methodDescriptorTakeOffer: MethodDescriptor < TakeOfferRequest , TakeOfferReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2720

### methodDescriptorWithdrawFunds

methodDescriptorWithdrawFunds: MethodDescriptor < WithdrawFundsRequest , WithdrawFundsReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2892

### options_

options_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:2619

## Methods

### completeTrade

- completeTrade(request: CompleteTradeRequest, metadata: null | Metadata ): Promise< CompleteTradeReply >
- completeTrade(request: CompleteTradeRequest, metadata: null | Metadata, callback: (err: RpcError, response: CompleteTradeReply ) => void): ClientReadableStream < CompleteTradeReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2860

  #### Parameters

  - ##### request: CompleteTradeRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< CompleteTradeReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2864

  #### Parameters

  - ##### request: CompleteTradeRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: CompleteTradeReply ) => void

    - - (err: RpcError, response: CompleteTradeReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: CompleteTradeReply

        #### Returns void

  #### Returns ClientReadableStream < CompleteTradeReply >

### confirmPaymentReceived

- confirmPaymentReceived(request: ConfirmPaymentReceivedRequest, metadata: null | Metadata ): Promise< ConfirmPaymentReceivedReply >
- confirmPaymentReceived(request: ConfirmPaymentReceivedRequest, metadata: null | Metadata, callback: (err: RpcError, response: ConfirmPaymentReceivedReply ) => void): ClientReadableStream < ConfirmPaymentReceivedReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2817

  #### Parameters

  - ##### request: ConfirmPaymentReceivedRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< ConfirmPaymentReceivedReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2821

  #### Parameters

  - ##### request: ConfirmPaymentReceivedRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: ConfirmPaymentReceivedReply ) => void

    - - (err: RpcError, response: ConfirmPaymentReceivedReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: ConfirmPaymentReceivedReply

        #### Returns void

  #### Returns ClientReadableStream < ConfirmPaymentReceivedReply >

### confirmPaymentStarted

- confirmPaymentStarted(request: ConfirmPaymentStartedRequest, metadata: null | Metadata ): Promise< ConfirmPaymentStartedReply >
- confirmPaymentStarted(request: ConfirmPaymentStartedRequest, metadata: null | Metadata, callback: (err: RpcError, response: ConfirmPaymentStartedReply ) => void): ClientReadableStream < ConfirmPaymentStartedReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2774

  #### Parameters

  - ##### request: ConfirmPaymentStartedRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< ConfirmPaymentStartedReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2778

  #### Parameters

  - ##### request: ConfirmPaymentStartedRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: ConfirmPaymentStartedReply ) => void

    - - (err: RpcError, response: ConfirmPaymentStartedReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: ConfirmPaymentStartedReply

        #### Returns void

  #### Returns ClientReadableStream < ConfirmPaymentStartedReply >

### getChatMessages

- getChatMessages(request: GetChatMessagesRequest, metadata: null | Metadata ): Promise< GetChatMessagesReply >
- getChatMessages(request: GetChatMessagesRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetChatMessagesReply ) => void): ClientReadableStream < GetChatMessagesReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2946

  #### Parameters

  - ##### request: GetChatMessagesRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetChatMessagesReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2950

  #### Parameters

  - ##### request: GetChatMessagesRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetChatMessagesReply ) => void

    - - (err: RpcError, response: GetChatMessagesReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetChatMessagesReply

        #### Returns void

  #### Returns ClientReadableStream < GetChatMessagesReply >

### getTrade

- getTrade(request: GetTradeRequest, metadata: null | Metadata ): Promise< GetTradeReply >
- getTrade(request: GetTradeRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetTradeReply ) => void): ClientReadableStream < GetTradeReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2645

  #### Parameters

  - ##### request: GetTradeRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetTradeReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2649

  #### Parameters

  - ##### request: GetTradeRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetTradeReply ) => void

    - - (err: RpcError, response: GetTradeReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetTradeReply

        #### Returns void

  #### Returns ClientReadableStream < GetTradeReply >

### getTrades

- getTrades(request: GetTradesRequest, metadata: null | Metadata ): Promise< GetTradesReply >
- getTrades(request: GetTradesRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetTradesReply ) => void): ClientReadableStream < GetTradesReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2688

  #### Parameters

  - ##### request: GetTradesRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetTradesReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2692

  #### Parameters

  - ##### request: GetTradesRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetTradesReply ) => void

    - - (err: RpcError, response: GetTradesReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetTradesReply

        #### Returns void

  #### Returns ClientReadableStream < GetTradesReply >

### sendChatMessage

- sendChatMessage(request: SendChatMessageRequest, metadata: null | Metadata ): Promise< SendChatMessageReply >
- sendChatMessage(request: SendChatMessageRequest, metadata: null | Metadata, callback: (err: RpcError, response: SendChatMessageReply ) => void): ClientReadableStream < SendChatMessageReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2989

  #### Parameters

  - ##### request: SendChatMessageRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< SendChatMessageReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2993

  #### Parameters

  - ##### request: SendChatMessageRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: SendChatMessageReply ) => void

    - - (err: RpcError, response: SendChatMessageReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: SendChatMessageReply

        #### Returns void

  #### Returns ClientReadableStream < SendChatMessageReply >

### takeOffer

- takeOffer(request: TakeOfferRequest, metadata: null | Metadata ): Promise< TakeOfferReply >
- takeOffer(request: TakeOfferRequest, metadata: null | Metadata, callback: (err: RpcError, response: TakeOfferReply ) => void): ClientReadableStream < TakeOfferReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2731

  #### Parameters

  - ##### request: TakeOfferRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< TakeOfferReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2735

  #### Parameters

  - ##### request: TakeOfferRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: TakeOfferReply ) => void

    - - (err: RpcError, response: TakeOfferReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: TakeOfferReply

        #### Returns void

  #### Returns ClientReadableStream < TakeOfferReply >

### withdrawFunds

- withdrawFunds(request: WithdrawFundsRequest, metadata: null | Metadata ): Promise< WithdrawFundsReply >
- withdrawFunds(request: WithdrawFundsRequest, metadata: null | Metadata, callback: (err: RpcError, response: WithdrawFundsReply ) => void): ClientReadableStream < WithdrawFundsReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2903

  #### Parameters

  - ##### request: WithdrawFundsRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< WithdrawFundsReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2907

  #### Parameters

  - ##### request: WithdrawFundsRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: WithdrawFundsReply ) => void

    - - (err: RpcError, response: WithdrawFundsReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: WithdrawFundsReply

        #### Returns void

  #### Returns ClientReadableStream < WithdrawFundsReply >

Generated using TypeDoc